Subject: Re: bug#53398: 29.0.50; narrow-to-region induces buffer recentering

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2022 13:33:05 +0100

Eli Zaretskii <[email-masked]> writes:

> So I don't think there's anything in this behavior that isn't
> expected.  If you want to prevent recentering, try setting
> max-mini-window-height to 1, so that mini-windows aren't resized.  (I
> didn't try it, though.)  Or just don't ask the echo-area messages to
> display so much stuff.

Yes, I don't think there's anything much we could do on the Emacs side
here -- any function that issues a message while narrowing is in effect
will lead to recentring with a set-message function like this.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no